### 5.1.162 univariate

`Syntax:`
  `univariate (` poly_expression `)`
`Type:`
  int
`Purpose:`
  returns 0 for not univariate, -1 for a constant or the number of the variable of the univariate polynomial.

`Example:`

        ring r=0,(x,y,z),dp;
        univariate(x2+1);
      ==> 1
        univariate(x2+y+1);
      ==> 0
        univariate(1);
      ==> -1
        univariate(var(2));
      ==> 2
        var(univariate(z));
      ==> z

See leadexp; var.

User manual for Singular version 4.4.1, 2025, generated by texi2html.